Qt 5.6 | Qt 3D | C++ Classes | QTexture1DArray

Qt 5.6.3 Reference Documentation

# QTexture1DArray Class

(Qt3DRender::QTexture1DArray)

A QAbstractTextureProvider with a Target1DArray target format. More...

Header: | #include <QTexture1DArray>
qmake: | QT += 3drender
Since: | Qt 5.5
Inherits: | QAbstractTextureProvider

- List of all members, including inherited members

## Public Functions

| QTexture1DArray(Qt3DCore::QNode *parent = Q_NULLPTR)
| ~QTexture1DArray()

- 20 public functions inherited from Qt3DRender::QAbstractTextureProvider
- 6 public functions inherited from Qt3DCore::QNode

### Additional Inherited Members

- 15 properties inherited from Qt3DRender::QAbstractTextureProvider
- 2 properties inherited from Qt3DCore::QNode
- 12 public slots inherited from Qt3DRender::QAbstractTextureProvider
- 2 public slots inherited from Qt3DCore::QNode
- 13 signals inherited from Qt3DRender::QAbstractTextureProvider
- 2 signals inherited from Qt3DCore::QNode
- 2 protected functions inherited from Qt3DRender::QAbstractTextureProvider
- 3 protected functions inherited from Qt3DCore::QNode
- 1 static protected member inherited from Qt3DCore::QNode

## Detailed Description

A QAbstractTextureProvider with a Target1DArray target format.

## Member Function Documentation

### QTexture1DArray::QTexture1DArray(Qt3DCore::QNode *parent = Q_NULLPTR)

Default constructs an instance of QTexture1DArray.

### QTexture1DArray::~QTexture1DArray()

Destroys the instance of QTexture1DArray.